#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA636_A31E_A31M_A35E
#if (EXETYPE == C18_VDEO)
char G3248_aac_ColorComponentIncrements[15][16] = {
        { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1 },
        { 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 0, 1, 1, 1 },
        { 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 1, 1, 1 },
        { 0, 0, 1, 0, 0, 1, 0, 0, 1, 1, 1, 1, 1, 0, 1, 1 },
        { 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 1, 1, 1, 1, 1 },
        { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 1, 1, 0, 1, 0, 1 },
        { 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1 },
        { 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 1, 1, 1, 0, 1, 1 },
        { 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 0, 1, 1, 1 },
        { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 } };
struct TextAttr G9033_ = {
        "topaz.font",   /* ta_Name */
        8,              /* ta_YSize */
        FS_NORMAL,      /* ta_Style */
        0               /* ta_Flags */
};
struct NewScreen G9025_ = { 0, 0, 320, 200, 4, 0, 0, 0, SCREENTYPE | CUSTOMBITMAP | SCREENBEHIND |SCREENQUIET, &G9033_, NULL, NULL, NULL };
struct NewWindow G9021_s_NewWindow = { 0, 0, 320, 200, 0, 0, 0, SIMPLE_REFRESH | REPORTMOUSE | BORDERLESS | ACTIVATE | RMBTRAP | NOCAREREFRESH, NULL, NULL, NULL, NULL, NULL, 5, 5, 65535, 65535, SCREENTYPE };
BOOLEAN G3164_B_;
unsigned char* G3162_;
unsigned char* G3163_;
int16_t G9023_;
int16_t G9024_;
int16_t G9028_[36] = {
        0x0000, 0x0000,
        0x0000, 0xC000,
        0x4000, 0xA000,
        0x6000, 0x9000,
        0x7000, 0x8800,
        0x7800, 0x8400,
        0x7C00, 0x8200,
        0x7E00, 0x8100,
        0x7F00, 0x8080,
        0x7F80, 0x8040,
        0x7C00, 0x83C0,
        0x6C00, 0x9200,
        0x4600, 0xA900,
        0x0600, 0xC900,
        0x0300, 0x0480,
        0x0300, 0x0480,
        0x0000, 0x0380,
        0x0000, 0x0000 };
int16_t* G9027_;
APTR G9022_;


extern struct Window* OpenWindow();
extern void F9073_DisplayError();
extern struct Screen* OpenScreen();
extern void CloseWindow();

extern short G9026_ai_Palette_Black[32];
extern DRIA_Video* G9019_ps_MsgPort_FTL_DRIA_Video;
extern unsigned int16_t* G3249_pui_BlitterTemporaryBitplane;
#endif

#if (EXETYPE == C18_VDEO)
int16_t F1085_IntuitionVectorReplacement(
)
{
        return 0;
}

void F1086_ReplaceIntuitionVectors(
)
{
        /* Replace vector of function 'AutoRequest' in intuition.library */
        G3162_ = (unsigned char*)SetFunction(IntuitionBase, (long)-0x15C, F1085_IntuitionVectorReplacement); /* 0xFFFFFEA4 -348 */
        /* Replace vector of function 'BuildSysRequest' in intuition.library */
        G3163_ = (unsigned char*)SetFunction(IntuitionBase, (long)-0x168, F1085_IntuitionVectorReplacement); /* 0xFFFFFE98 -360 */
        G3164_B_ = C1_TRUE;
}

void F1087_RestoreIntuitionVectors(
)
{
        if (G3164_B_) {
                G3164_B_ = C0_FALSE;
                /* Restore vector of function 'AutoRequest' in intuition.library */
                /* Restore vector of function 'BuildSysRequest' in intuition.library */
                if (((unsigned char*)SetFunction(IntuitionBase, (long)-0x15C, G3162_) != F1085_IntuitionVectorReplacement) || ((unsigned char*)SetFunction(IntuitionBase, (long)-0x168, G3163_) != F1085_IntuitionVectorReplacement)) {
                        F9073_DisplayError(0x80FD0008);
                }
        }
}

void F9051_(
)
{
        register struct View* L3669_ps_View;


        G9025_.CustomBitMap = &G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap;
        if ((G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen = OpenScreen(&G9025_)) == NULL) {
                F9073_DisplayError(0x80FD0003);
        }
        LoadRGB4(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen->ViewPort, G9026_ai_Palette_Black, 32L);
        ScreenToFront(G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen);
        L3669_ps_View = &IntuitionBase->ViewLord;
        G9023_ = L3669_ps_View->DxOffset;
        G9024_ = L3669_ps_View->DyOffset;
        L3669_ps_View->DxOffset = 129;
        L3669_ps_View->DyOffset = 44;
        RemakeDisplay();
}

void F9052_(
)
{
        register struct View* L3671_ps_View;


        if (G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen) {
                L3671_ps_View = &IntuitionBase->ViewLord;
                L3671_ps_View->DxOffset = G9023_;
                L3671_ps_View->DyOffset = G9024_;
                RemakeDisplay();
                CloseScreen(G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen);
                G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen = NULL;
        }
}

void F9053_(
)
{
        G9021_s_NewWindow.Screen = G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen;
        if ((G9019_ps_MsgPort_FTL_DRIA_Video->_0x10C_Window = OpenWindow(&G9021_s_NewWindow)) == NULL) {
                F9073_DisplayError(0x80FD0004);
        }
}

void F9054_(
)
{
        if (G9019_ps_MsgPort_FTL_DRIA_Video->_0x10C_Window) {
                CloseWindow(G9019_ps_MsgPort_FTL_DRIA_Video->_0x10C_Window);
        }
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x10C_Window = NULL;
}

void F9055_(P2870_)
struct BitMap* P2870_;
{
        P2870_->Planes[0] = G9019_ps_MsgPort_FTL_DRIA_Video->_puc_0x134_Buffer32320Bytes;
        P2870_->Planes[1] = P2870_->Planes[0] + 8000;
        P2870_->Planes[2] = P2870_->Planes[1] + 8000;
        P2870_->Planes[3] = P2870_->Planes[2] + 8000;
}

void F9056_(
)
{
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x13C_SimpleSprite.height = 1;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x13C_SimpleSprite.num = 0;
        ChangeSprite(NULL, &G9019_ps_MsgPort_FTL_DRIA_Video->_0x13C_SimpleSprite, G9019_ps_MsgPort_FTL_DRIA_Video->_0x148_SpriteImage);
}

void F9057_CopySpriteDataToChipMemory(
)
{
        register int16_t* L3672_pi_;
        register int16_t* L3673_pi_;
        register int16_t L3674_i_;


        L3672_pi_ = G9028_;
        L3673_pi_ = G9019_ps_MsgPort_FTL_DRIA_Video->_ai_0x154;
        L3674_i_ = 36;
        while (L3674_i_--) {
                *L3673_pi_++ = *L3672_pi_++;
        }
}

char* F9058_CopperList0(P2868_, P2869_)
register unsigned int16_t P2868_;
register unsigned int16_t* P2869_;
{
        register unsigned int16_t L3675_ui_;
        register char* L3676_pc_;


        L3676_pc_ = G9027_;
        for (L3675_ui_ = 0; L3675_ui_ < P2868_; L3675_ui_++) {
                *G9027_++ = ((L3675_ui_ * 2) + 384) & 0xFFFE;
                *G9027_++ = P2869_ ? *P2869_++ : 0;
        }
        return L3676_pc_;
}

#ifdef MEDIA739_A35E
void F9059_CopperList1(P2865_, P2866_, P2867_)
register int16_t P2865_;
char** P2866_;
char** P2867_;
{
        register int16_t L3677_i_;


        *G9027_++ = 0x0180;        *G9027_++ = 0;
        *G9027_++ = 0x0120;        *G9027_++ = (((unsigned long)&G9019_ps_MsgPort_FTL_DRIA_Video->_0x148_SpriteImage) >> 16) & 0xFFFF;
        *G9027_++ = 0x0122;        *G9027_++ = ((unsigned long)&G9019_ps_MsgPort_FTL_DRIA_Video->_0x148_SpriteImage) & 0xFFFF;
        *G9027_++ = 0x2A01;        *G9027_++ = 0xFFFE;
        if (P2865_) {
                *P2866_ = F9058_CopperList0(16, 0L);
        }
        *G9027_++ = 0x008E;        *G9027_++ = 0x2C81;
        *G9027_++ = 0x0100;        *G9027_++ = 0x4200;
        *G9027_++ = 0x0104;        *G9027_++ = 0x0024;
        *G9027_++ = 0x0090;        *G9027_++ = 0xF4C1;
        *G9027_++ = 0x01E4;        *G9027_++ = 0x2000;
        *G9027_++ = 0x0092;        *G9027_++ = 0x0038;
        *G9027_++ = 0x0094;        *G9027_++ = 0x00D8;
        *G9027_++ = 0x0102;        *G9027_++ = 0;
        *G9027_++ = 0x0108;        *G9027_++ = 0xFFFE;
        *G9027_++ = 0x010A;        *G9027_++ = 0xFFFE;
        for (L3677_i_ = 0; L3677_i_ < G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap.Depth; L3677_i_++) {
                *G9027_++ = ((L3677_i_ << 2) + 224) & 0xFFFE;
                *G9027_++ = ((unsigned long)G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap.Planes[L3677_i_] >> 16) & 0xFFFF;
                *G9027_++ = ((L3677_i_ << 2) + 226) & 0xFFFE;
                *G9027_++ = (unsigned long)G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap.Planes[L3677_i_] & 0xFFFF;
        }
        *G9027_++ = 0x4A01;        *G9027_++ = 0xFFFE;
        if (!P2865_) {
                *P2866_ = F9058_CopperList0(16, 0L);
        }
        *G9027_++ = 0x7C01;        *G9027_++ = 0xFFFE;
        *G9027_++ = 0x009C;        *G9027_++ = 0x8010;
        *G9027_++ = 0xD501;        *G9027_++ = 0xFFFE;
        if (P2865_) {
                *P2867_ = *P2866_;
        } else {
                *P2867_ = F9058_CopperList0(16, 0L);
        }
        *G9027_++ = 0xFFFF;        *G9027_++ = 0xFFFE;
}
#endif

void F9060_CopperList2(P2862_, P2863_, P2864_)
register int16_t P2862_;
char** P2863_;
char** P2864_;
{
        register int16_t L3678_i_;


        *G9027_++ = 0x0180;        *G9027_++ = 0;
        *G9027_++ = 0x0120;        *G9027_++ = (((unsigned long)&G9019_ps_MsgPort_FTL_DRIA_Video->_0x148_SpriteImage) >> 16) & 0xFFFF;
        *G9027_++ = 0x0122;        *G9027_++ = ((unsigned long)&G9019_ps_MsgPort_FTL_DRIA_Video->_0x148_SpriteImage) & 0xFFFF;
        *G9027_++ = 0x2A01;        *G9027_++ = 0xFFFE;
        if (P2862_) {
                *P2863_ = F9058_CopperList0(16, 0L);
        }
        *G9027_++ = 0x008E;        *G9027_++ = 0x0581;
        *G9027_++ = 0x0100;        *G9027_++ = 0x0200;
        *G9027_++ = 0x0104;        *G9027_++ = 0x0024;
        *G9027_++ = 0x0090;        *G9027_++ = 0x40C1;
        *G9027_++ = 0x0092;        *G9027_++ = 0x0038;
        *G9027_++ = 0x0094;        *G9027_++ = 0x00D0;
        *G9027_++ = 0x0102;        *G9027_++ = 0;
        *G9027_++ = 0x0108;        *G9027_++ = 0;
        *G9027_++ = 0x010A;        *G9027_++ = 0;
        for (L3678_i_ = 0; L3678_i_ < G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap.Depth; L3678_i_++) {
                *G9027_++ = ((L3678_i_ << 2) + 224) & 0xFFFE;
                *G9027_++ = ((unsigned long)G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap.Planes[L3678_i_] >> 16) & 0xFFFF;
                *G9027_++ = ((L3678_i_ << 2) + 226) & 0xFFFE;
                *G9027_++ = (unsigned long)G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap.Planes[L3678_i_] & 0xFFFF;
        }
        *G9027_++ = 0x2C01;        *G9027_++ = 0xFFFE;
        *G9027_++ = 0x0100;        *G9027_++ = 0x4200;
        *G9027_++ = 0x4A01;        *G9027_++ = 0xFFFE;
        if (!P2862_) {
                *P2863_ = F9058_CopperList0(16, 0L);
        }
        *G9027_++ = 0x7C01;        *G9027_++ = 0xFFFE;
        *G9027_++ = 0x009C;        *G9027_++ = 0x8010;
        *G9027_++ = 0xD501;        *G9027_++ = 0xFFFE;
        if (P2862_) {
                *P2864_ = *P2863_;
        } else {
                *P2864_ = F9058_CopperList0(16, 0L);
        }
        *G9027_++ = 0xF401;     *G9027_++ = 0xFFFE;
        *G9027_++ = 0x0100;     *G9027_++ = 0x0200;
        *G9027_++ = 0xFFFF;     *G9027_++ = 0xFFFE;
}

#ifdef MEDIA739_A35E
int16_t F9061_(
)
{
        if (GfxBase->LibNode.lib_Version < 36) {
                return 0;
        } else {
                return *((unsigned char*)GfxBase->reserved) & 2;
        }
}
#endif

void F9062_(P2858_, P2859_, P2860_)
COPPERSTRUCT* P2858_;
int16_t P2859_;
SHORT P2860_;
{
        if ((P2858_->_0x0C_cprlist = AllocMem((long)sizeof(struct cprlist), MEMF_PUBLIC | MEMF_CLEAR)) == NULL) {
                F9073_DisplayError(0x80FD0005);
        }
        P2858_->_0x0C_cprlist->Next = NULL;
        P2858_->_0x0C_cprlist->MaxCount = P2860_;
        if ((P2858_->_0x0C_cprlist->start = AllocMem((long)(P2858_->_0x0C_cprlist->MaxCount << 2), MEMF_CHIP | MEMF_PUBLIC | MEMF_CLEAR)) == NULL) {
                F9073_DisplayError(0x80FD0006);
        }
        P2858_->_0x08_cprlistStart = P2858_->_0x0C_cprlist->start;
        G9027_ = P2858_->_0x0C_cprlist->start;
#ifdef MEDIA739_A35E
        if (F9061_()) {
                F9059_CopperList1(P2859_, P2858_, &P2858_->_0x04_);
        } else {
#endif
                F9060_CopperList2(P2859_, P2858_, &P2858_->_0x04_);
#ifdef MEDIA739_A35E
        }
#endif
}

void F9063_(P2861_)
COPPERSTRUCT* P2861_;
{
        if (P2861_->_0x0C_cprlist) {
                if (P2861_->_0x0C_cprlist->start) {
                        FreeMem(P2861_->_0x0C_cprlist->start, (long)(P2861_->_0x0C_cprlist->MaxCount << 2));
                }
                P2861_->_0x0C_cprlist->start = NULL;
                FreeMem(P2861_->_0x0C_cprlist, (long)sizeof(struct cprlist));
                P2861_->_0x0C_cprlist = NULL;
        }
}

void F9064_(
)
{
        F9062_(&G9019_ps_MsgPort_FTL_DRIA_Video->_ps_0x110, 0, 220);
        F9062_(&G9019_ps_MsgPort_FTL_DRIA_Video->_ps_0x120, 1, 200);
}

void F9065_(
)
{
        F9063_(&G9019_ps_MsgPort_FTL_DRIA_Video->_ps_0x110);
        F9063_(&G9019_ps_MsgPort_FTL_DRIA_Video->_ps_0x120);
}

void F9066_(
)
{
        F9056_();
        F9057_CopySpriteDataToChipMemory();
        InitView(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x032_View);
        InitVPort(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort);
        InitBitMap(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap, 4L, 320L, 200L);
        InitRastPort(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x0A0_RastPort);
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x032_View.ViewPort = &G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x032_View.Modes = SPRITES;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.DWidth = 320;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.DHeight = 200;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.RasInfo = &G9019_ps_MsgPort_FTL_DRIA_Video->_0x6C_RasInfo;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.ColorMap = NULL;
        if ((G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.ColorMap = GetColorMap(32L)) == NULL) {
                F9073_DisplayError(0x80FD0007);
        }
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.Modes = SPRITES;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x0A0_RastPort.BitMap = &G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap;
        F9055_(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap);
        SetRast(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x0A0_RastPort, 0L);
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x0A0_RastPort.Mask = 0x0F;
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x6C_RasInfo.BitMap = &G9019_ps_MsgPort_FTL_DRIA_Video->_0x078_Bitmap;
        F9064_();
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x032_View.LOFCprList = G9019_ps_MsgPort_FTL_DRIA_Video->_ps_0x110._0x0C_cprlist;
}

void F9067_(
)
{
        register struct Process* L3679_ps_Process;


        L3679_ps_Process = FindTask(0L);
        G9022_ = L3679_ps_Process->pr_WindowPtr;
        L3679_ps_Process->pr_WindowPtr = (APTR)-1;
}

void F9068_(
)
{
        register struct Process* L3680_ps_Process;


        L3680_ps_Process = FindTask(0L);
        L3680_ps_Process->pr_WindowPtr = G9022_;
        G9022_ = NULL;
}

void F9069_InstallMsgPort(
)
{
        register struct MsgPort* L3681_ps_MsgPort;


        if ((G9019_ps_MsgPort_FTL_DRIA_Video = AllocMem((long)sizeof(DRIA_Video), MEMF_CHIP | MEMF_CLEAR)) == NULL) {
                F9073_DisplayError(0x80FD0001);
        }
        if ((G9019_ps_MsgPort_FTL_DRIA_Video->_puc_0x134_Buffer32320Bytes = AllocMem(32320L, MEMF_CHIP | MEMF_CLEAR)) == NULL) {
                F9073_DisplayError(0x80FD0002);
        }
        G9019_ps_MsgPort_FTL_DRIA_Video->MsgPortName[0] = 'FTL_';
        G9019_ps_MsgPort_FTL_DRIA_Video->MsgPortName[1] = 'DRIA';
        G9019_ps_MsgPort_FTL_DRIA_Video->MsgPortName[2] = '_Vid';
        G9019_ps_MsgPort_FTL_DRIA_Video->MsgPortName[3] = 'eo\0\0';
        L3681_ps_MsgPort = G9019_ps_MsgPort_FTL_DRIA_Video;
        L3681_ps_MsgPort->mp_Node.ln_Name = G9019_ps_MsgPort_FTL_DRIA_Video->MsgPortName;
        L3681_ps_MsgPort->mp_Node.ln_Pri = 16;
        L3681_ps_MsgPort->mp_Node.ln_Type = NT_MSGPORT;
        L3681_ps_MsgPort->mp_Flags = 2;
        L3681_ps_MsgPort->mp_SigBit = -1;
        L3681_ps_MsgPort->mp_SigTask = FindTask(0L);
        AddPort(L3681_ps_MsgPort);
}

void F9070_(
)
{
        register struct MsgPort* L3682_ps_MsgPort;


        if (G9019_ps_MsgPort_FTL_DRIA_Video) {
                L3682_ps_MsgPort = G9019_ps_MsgPort_FTL_DRIA_Video;
                if (G9019_ps_MsgPort_FTL_DRIA_Video->_puc_0x134_Buffer32320Bytes) {
                        FreeMem(G9019_ps_MsgPort_FTL_DRIA_Video->_puc_0x134_Buffer32320Bytes, 32320L);
                        G9019_ps_MsgPort_FTL_DRIA_Video->_puc_0x134_Buffer32320Bytes = NULL;
                }
                RemPort(L3682_ps_MsgPort);
                L3682_ps_MsgPort->mp_SigTask = (struct Task*)-1;
                L3682_ps_MsgPort->mp_MsgList.lh_Head = (struct Node*)-1;
                FreeMem(G9019_ps_MsgPort_FTL_DRIA_Video, (long)sizeof(DRIA_Video));
                G9019_ps_MsgPort_FTL_DRIA_Video = NULL;
        }
}

void F9071_(
)
{
        register int16_t L3683_i_Unreferenced = 0;


        F1086_ReplaceIntuitionVectors();
        CloseWorkBench();
        F9069_InstallMsgPort();
        G9019_ps_MsgPort_FTL_DRIA_Video->ColorComponentIncrements = G3248_aac_ColorComponentIncrements;
        G9019_ps_MsgPort_FTL_DRIA_Video->_ps_0x138_BlitterTemporaryBitplane = G3249_pui_BlitterTemporaryBitplane;
        F9066_();
        F9067_();
        G9019_ps_MsgPort_FTL_DRIA_Video->_0x104_View = GfxBase->ActiView;
        F9051_();
        F9053_();
        SetPointer(G9019_ps_MsgPort_FTL_DRIA_Video->_0x10C_Window, G9019_ps_MsgPort_FTL_DRIA_Video->_0x148_SpriteImage, 1L, 16L, -1L, 0L);
        SetRGB4(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen->ViewPort, 17L, 15L, 15L, 0L);
        SetRGB4(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen->ViewPort, 18L, 0L, 0L, 0L);
        SetRGB4(&G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen->ViewPort, 19L, 0L, 0L, 0L);
        ScreenToFront(G9019_ps_MsgPort_FTL_DRIA_Video->_0x108_Screen);
}

void F9072_(
)
{
        WaitBlit();
        if (G9019_ps_MsgPort_FTL_DRIA_Video) {
                F9068_();
                if (G9019_ps_MsgPort_FTL_DRIA_Video->_0x104_View) {
                        LoadView(G9019_ps_MsgPort_FTL_DRIA_Video->_0x104_View);
                }
                WaitTOF();
                F9054_();
                F9052_();
                F9065_();
                if (G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.ColorMap) {
                        FreeColorMap(G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.ColorMap);
                }
                G9019_ps_MsgPort_FTL_DRIA_Video->_0x44_ViewPort.ColorMap = NULL;
                F9070_();
        }
        F1087_RestoreIntuitionVectors();
}
#endif
#endif
